gdcm::terminal Namespace Reference

Class for Terminal. More...

## Enumerations

enum | Attribute { reset = 0 , bright = 1 , dim = 2 , underline = 3 , blink = 5 , reverse = 7 , hidden = 8 }
enum | Color { black = 0 , red , green , yellow , blue , magenta , cyan , white }
enum | Mode { CONSOLE = 0 , VT100 }

## Functions

GDCM_EXPORT std::string | setattribute (Attribute att)
GDCM_EXPORT std::string | setbgcolor (Color c)
GDCM_EXPORT std::string | setfgcolor (Color c)
GDCM_EXPORT void | setmode (Mode m)

## Detailed Description

Class for Terminal.

Allow one to print in color in a shell

- support VT100 compatible shell
- win32 console

## Enumeration Type Documentation

## Attribute

enum gdcm::terminal::Attribute

Enumerator
reset |
bright |
dim |
underline |
blink |
reverse |
hidden |

## Color

enum gdcm::terminal::Color

Enumerator
black |
red |
green |
yellow |
blue |
magenta |
cyan |
white |

## Mode

enum gdcm::terminal::Mode

Enumerator
CONSOLE |
VT100 |

## Function Documentation

## setattribute()

GDCM_EXPORT std::string gdcm::terminal::setattribute | ( | Attribute | att | ) |

References GDCM_EXPORT.

## setbgcolor()

GDCM_EXPORT std::string gdcm::terminal::setbgcolor | ( | Color | c | ) |

References GDCM_EXPORT.

## setfgcolor()

GDCM_EXPORT std::string gdcm::terminal::setfgcolor | ( | Color | c | ) |

References GDCM_EXPORT.

## setmode()

GDCM_EXPORT void gdcm::terminal::setmode | ( | Mode | m | ) |

References GDCM_EXPORT.